JFLAGS = -g
JX = /usr/lib/jvm/javafx-sdk-14.0.1/lib
JC = javac --module-path $(JX) --add-modules javafx.controls,javafx.fxml
JVM= java --module-path $(JX) --add-modules javafx.controls,javafx.fxml


.SUFFIXES: .java .class
.java.class:
	$(JC) $*.java

CLASSES = \
        Main.java \
	Comida.java \
	Pedido.java \
	Cliente.java \
	CocineroController.java \
	PedidoClienteController.java \
	SampleController.java \



MAIN = Main

default: classes

classes: $(CLASSES:.java=.class)

run: Main.class 
	$(JVM) Main 

clean:
	$(RM) *.class

doc: Cliente.class CocineroController.class Comida.class Pedido.class PedidoClienteController.class SampleController.class
	javadoc -version -author -d documentacion --module-path $(JX) --add-modules javafx.controls,javafx.fxml, Cliente.java CocineroController.java Comida.java Pedido.java PedidoClienteController.java SampleController.java



